class Xrdb < Formula
  desc "X resource database utility"
  homepage "https://gitlab.freedesktop.org/xorg/app/xrdb"
  url "https://www.x.org/releases/individual/app/xrdb-1.2.2.tar.xz"
  sha256 "31f5fcab231b38f255b00b066cf7ea3b496df712c9eb2d0d50c670b63e5033f4"
  license "MIT-open-group"

  depends_on "pkg-config"  => :build
  depends_on "xorg-server" => :test

  depends_on "libx11"
  depends_on "libxmu"

  def install
    system "./configure", "--with-cpp=/usr/bin/cpp", *std_configure_args.reject { |s| s["--disable-debug"] }
    system "make", "install"
  end

  test do
    ENV["DISPLAY"] = ":1"

    fork do
      exec Formula["xorg-server"].bin/"Xvfb", ":1"
    end

    sleep 5

    system bin/"xrdb", "-query"
  end
end
